# VRML/PROGS/vrmldump/Makefile
############################################################################

# use same configuration parameters as in parent directory
include ../../Config.common
include ../../Config.site

POOLSDIR = ../../POOLS
INCLUDIR = ../../include
LIBDIR = ../../lib
BINDIR = ../../bin

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory
CXXSOURCES = main.C
SOURCES = $(CXXSOURCES) $(CSOURCES)
OBJECTS = ${CXXSOURCES:.C=.o} ${CSOURCES:.c=.o}

THISDIRFLAGS = -I$(INCLUDIR) -I$(POOLSDIR)

#default target: compile
all: vrmldump

# generate source file dependencies
depend: 
	$(MAKEDEPEND) $(MKDEPFLAGS) $(SOURCES) > deps

vrmldump: $(OBJECTS)
	$(CXX) $(LDFLAGS) -o vrmldump $(OBJECTS) \
		-L$(LIBDIR) -lxrml \
		-L$(POOLSDIR) -lpools \
		-lm
	-ln -sf `pwd`/vrmldump $(BINDIR)

cleanhere: cleangen
	-${RM} vrmldump

clean: cleanhere

distclean: cleanhere

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
-include deps